OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Interface MockVisitor

All Known Implementing Classes:
  MockNetworkTest.ElementCounter, MockVisitorAdapter

public interface MockVisitor

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Method Summary
`void` `visitContainer(MockContainer c)`
`void` `visitElement(MockElement e)`
`void` `visitInterface(MockInterface i)`
`void` `visitNetwork(MockNetwork n)`
`void` `visitNode(MockNode n)`
`void` `visitService(MockService s)`

Method Detail

### visitContainer

    public void visitContainer(MockContainer c)

### visitElement

    public void visitElement(MockElement e)

### visitInterface

    public void visitInterface(MockInterface i)

### visitNetwork

    public void visitNetwork(MockNetwork n)

### visitNode

    public void visitNode(MockNode n)

### visitService

    public void visitService(MockService s)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.